@echo off
title 还原补丁-风雨凌芸
echo  正在还原，请稍后。
set aa=3：
if not exist "还原补丁\bin\fmod_event.dll" (
	for /l %%a in (%aa%,,-1,0) do (
		cls
		echo  还原失败，请检查补丁目录后再试。
		echo  请按照使用说明中写的将“Don't Starve汉化补丁”放到指定目录。
		echo  %%a秒后自动关闭。
		ping 127.0.0.1 -n 2 >nul
	)
	exit
)
if not exist "L.YUN.txt" (	
	for /l %%a in (%aa%,,-1,0) do (
		cls
		echo 还原失败，未找到L.YUN.txt。
		echo 这是一个很重要的文件，里面储存了汉化补丁所替换的文件，如果没有这个文件，将无法正常还原。
		echo  %%a秒后自动关闭。
		ping 127.0.0.1 -n 2 >nul
	)
	exit
)
for /f "eol=- tokens=*" %%i in (L.YUN.txt) do (
	del ..\%%i>nul 2>nul
	)
rd /s /q ..\bin\3DM>nul
xcopy 还原补丁\bin ..\bin /e /y /Q>nul
xcopy 还原补丁\data ..\data /e /y /Q>nul
del ..\还原.lnk>nul 2>nul
mshta VBScript:Execute("Set a=CreateObject(""WScript.Shell""):Set b=a.CreateShortcut(""..\汉化.lnk""):b.TargetPath=""%~dp0\汉化.bat"":b.WorkingDirectory=""%~dp0\"":b.IconLocation=""%~dp0\汉化补丁\logo.ico"":b.Save:close") >nul 2>nul
for /l %%a in (%aa%,,-1,0) do (
	cls
	echo  还原完成！
	echo  %%a秒后自动关闭
	ping 127.0.0.1 -n 2 >nul
)